Bug 6482 - koha-create makes assumptions about the mysql username
Summary: koha-create makes assumptions about the mysql username
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Robin Sheat
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-08 02:02 UTC by Robin Sheat
Modified: 2013-12-05 20:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.62 KB, patch)
2011-06-08 04:13 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 6482 - allow the mysql details to be changed during koha-create (2.67 KB, patch)
2011-06-14 21:57 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2011-06-08 02:02:52 UTC
If you do koha-create --request-db, need to change the user or db name, and then later do koha-create --populate-db, it doesn't work as it makes up the name from the command line, rather than referencing the config files.
Comment 1 Robin Sheat 2011-06-08 04:13:34 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-06-14 21:57:22 UTC
Created attachment 4464 [details] [review]
Bug 6482 - allow the mysql details to be changed during koha-create

This allows the database details (username and database name in
particular) to be modified in between a koha-create --request-db and
--populate-db. Most useful when you discover that the username is too
long or something. Now, when populating the database, the connection
information is reloaded from the koha-conf.xml rather than being
generated from the instance name.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Paul Poulain 2011-08-11 16:13:18 UTC
QA comment

I'm unable to say anything about this patch. Chris, either you wait for Ian opinion, or you apply it, up to you.
Comment 4 Chris Cormack 2011-08-18 09:13:34 UTC
Only affects the packages, in use in production, pushing
Comment 5 MJ Ray (software.coop) 2012-01-12 12:11:01 UTC
Does this mitigate bug 7428?

It was pushed. Does that mean the bug is fixed or does the version need updating to spread it elsewhere?
Comment 6 Robin Sheat 2012-01-12 21:42:52 UTC
They're not really connected (although, it was bug 7428 that made me implement this.) I think whatever is added for that one will partially obviate the need for this one, but will improve things overall.
Comment 7 Jared Camins-Esakov 2012-12-30 23:59:41 UTC
There have been no further reports of problems so I am marking this bug resolved.